---
title: pydo.images.get()
description: Retrieve an Existing Image
product: Reference
url: https://docs.digitalocean.com/reference/pydo/reference/images/get/
last_updated: "2026-11-06"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# pydo.images.get()

Generated on 6 Nov 2026 from `pydo` version [`v0.45.0`](https://github.com/digitalocean/pydo/releases/tag/v0.45.0)

## Usage

```python
client.images.get(image_id="your_image_id")
```

Returns `JSON` Raises `HttpResponseError`

## Description

To retrieve information about an image, send a `GET` request to [`/v2/images/{image_id}`](https://docs.digitalocean.com/reference/api/reference/images/index.html.md).

## Parameters

`image_id` object required

A unique number (id) or string (slug) used to identify and reference a
specific image.

**Public** images can be identified by image `id` or `slug`.

**Private** images \*must* be identified by image `id`.

## Request Sample

## Show Request Sample

```python
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

resp = client.images.get(image_id=134215)
```

## Response Example

## Show Response Example

```json
{
  "image": {
    "id": 6918990,
    "name": "14.04 x64",
    "distribution": "Ubuntu",
    "slug": "ubuntu-16-04-x64",
    "public": true,
    "regions": [
      "nyc1",
      "ams1",
      "sfo1",
      "nyc2",
      "ams2",
      "sgp1",
      "lon1",
      "nyc3",
      "ams3",
      "nyc3"
    ],
    "created_at": "2014-10-17T20:24:33Z",
    "min_disk_size": 20,
    "size_gigabytes": 2.34,
    "description": "",
    "tags": [],
    "status": "available",
    "error_message": ""
  }
}
```

## More Information

See [`/v2/images/{image_id}`](https://docs.digitalocean.com/reference/api/reference/images/index.html.md#images_get) in the API reference for additional detail on responses, headers, parameters, and more.